Get agent dynamic variable

Get agent dynamic variable. See the OpenAPI-defined parameters, request body, and responses below.

GET /AgentDynamicVariable/{id}

Get agent dynamic variable. See the OpenAPI-defined parameters, request body, and responses below.

OpenAPI description: Este endpoint retorna os detalhes de uma variável dinâmica de agente especificada pelo identificador.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

This operation does not accept a request body.

Example request

curl --request GET \
  --url 'https://api.zild.ai/AgentDynamicVariable/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'

Responses

StatusDescriptionResponse body
200Sucesso ao retornar a variável dinâmicaapplication/json · AgentDynamicVariableDto

Example response (200):

{
  "id": 0,
  "name": "string",
  "value": "string",
  "agentId": 0
}

Data models

AgentDynamicVariableDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
valuestringNo—nullable
agentIdinteger · int32No——